package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学生心理健康历史信息对象 student_mind_old
 * 
 * @author ruoyi
 * @date 2023-08-03
 */
public class StudentMindOld extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long mindId;

    /** 学生id（家长-学生(审核通过之后数据)表id） */
    @Excel(name = "学生id", readConverterExp = "家=长-学生(审核通过之后数据)表id")
    private Long studentId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别(1：男，2：女) */
    @Excel(name = "性别(1：男，2：女)")
    private String sex;

    /** 年龄 */
    @Excel(name = "年龄")
    private String age;

    /** 学校 */
    @Excel(name = "学校")
    private String school;

    /** 学号 */
    @Excel(name = "学号")
    private String studentNumber;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 心理状况 */
    @Excel(name = "心理状况")
    private String mind;

    /** 心理健康描述 */
    @Excel(name = "心理健康描述")
    private String psychologicalDescription;


    /** 1：家长，2：老师 */
    private String createType;

    public String getCreateType() {
        return createType;
    }

    public void setCreateType(String createType) {
        this.createType = createType;
    }

    public void setMindId(Long mindId)
    {
        this.mindId = mindId;
    }

    public Long getMindId() 
    {
        return mindId;
    }
    public void setStudentId(Long studentId) 
    {
        this.studentId = studentId;
    }

    public Long getStudentId() 
    {
        return studentId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setAge(String age) 
    {
        this.age = age;
    }

    public String getAge() 
    {
        return age;
    }
    public void setSchool(String school) 
    {
        this.school = school;
    }

    public String getSchool() 
    {
        return school;
    }
    public void setStudentNumber(String studentNumber) 
    {
        this.studentNumber = studentNumber;
    }

    public String getStudentNumber() 
    {
        return studentNumber;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setMind(String mind) 
    {
        this.mind = mind;
    }

    public String getMind() 
    {
        return mind;
    }
    public void setPsychologicalDescription(String psychologicalDescription) 
    {
        this.psychologicalDescription = psychologicalDescription;
    }

    public String getPsychologicalDescription() 
    {
        return psychologicalDescription;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("mindId", getMindId())
            .append("studentId", getStudentId())
            .append("name", getName())
            .append("sex", getSex())
            .append("age", getAge())
            .append("school", getSchool())
            .append("studentNumber", getStudentNumber())
            .append("idCard", getIdCard())
            .append("mind", getMind())
            .append("psychologicalDescription", getPsychologicalDescription())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
